package jp.sourceforge.orangesignal.ta.candle.generator;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class CandlestickGeneratorSettingTypeTest {

	@Test
	public void values() {
		final CandlestickGeneratorSettingType[] values = CandlestickGeneratorSettingType.values();
		for (final CandlestickGeneratorSettingType value : values) {
			switch (value) {
				case LONG_BODY: case DOJI: case LONG_SHADOW: case NO_SHADOW: case SAME: case NEAR: case FAR:
					assertTrue(true);
					break;
				default:
					assertTrue(false);
			}
		}
	}

}
